import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Specifies a device.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-networkmanager-device.html">the AWS Docs</a>
*/
export function device(deviceProps) {
    return new AwsResource('AWS::NetworkManager::Device', deviceProps, { DeviceArn: 'DeviceArn', DeviceId: 'DeviceId', State: 'State', CreatedAt: 'CreatedAt' });
}
